Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 616758 - sys-cluster/drbd-utils-8.9.6-r1 : drbdadm_adjust.c:(.text+<snip>): undefined reference to `major'
Summary: sys-cluster/drbd-utils-8.9.6-r1 : drbdadm_adjust.c:(.text+<snip>): undefined ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Cluster Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-sysmacros glibc-2.26-stable
  Show dependency tree
 
Reported: 2017-04-27 16:47 UTC by Toralf Förster
Modified: 2018-05-04 18:16 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,5.59 KB, text/plain)
2017-04-27 16:47 UTC, Toralf Förster
Details
config.log.tbz2 (config.log.tbz2,3.81 KB, application/x-bzip)
2017-04-27 16:47 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,218.99 KB, text/plain)
2017-04-27 16:47 UTC, Toralf Förster
Details
environment (environment,88.20 KB, text/plain)
2017-04-27 16:47 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,30.90 KB, application/x-bzip)
2017-04-27 16:47 UTC, Toralf Förster
Details
sys-cluster:drbd-utils-8.9.6-r1:20170427-113427.log (sys-cluster:drbd-utils-8.9.6-r1:20170427-113427.log,8.82 KB, text/plain)
2017-04-27 16:47 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,23.04 KB, application/x-bzip)
2017-04-27 16:47 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-04-27 16:47:14 UTC
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -Wall -Wall -I../../drbd-headers -I.. -I. -I../shared  -Wl,-O1 -Wl,--as-needed  -Wl,-O1 -Wl,--as-needed -o drbdadm drbdadm_scanner.o drbdadm_parser.o drbdadm_postparse.o drbdadm_main.o drbdadm_adjust.o drbdadm_dump.o drbdtool_common.o drbdadm_usage_cnt.o drbd_buildtag.o registry.o config_flags.o libgenl.o drbd_nla.o shared_tool.o shared_main.o shared_parser.o
drbdadm_adjust.o: In function `need_trigger_kobj_change':
drbdadm_adjust.c:(.text+0xbc8): undefined reference to `major'

  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named plasma-systemd-abi32+64_20170423-124403) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-5.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby21 (with Rubygems) *
  [2]   ruby22 (with Rubygems)
java-config:
The following VMs are available for generation-2:
Comment 1 Toralf Förster gentoo-dev 2017-04-27 16:47:18 UTC
Created attachment 471060 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-04-27 16:47:21 UTC
Created attachment 471062 [details]
config.log.tbz2
Comment 3 Toralf Förster gentoo-dev 2017-04-27 16:47:24 UTC
Created attachment 471064 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-04-27 16:47:27 UTC
Created attachment 471066 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-04-27 16:47:30 UTC
Created attachment 471068 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-04-27 16:47:34 UTC
Created attachment 471070 [details]
sys-cluster:drbd-utils-8.9.6-r1:20170427-113427.log
Comment 7 Toralf Förster gentoo-dev 2017-04-27 16:47:38 UTC
Created attachment 471072 [details]
temp.tbz2
Comment 8 Andreas K. Hüttel gentoo-dev 2017-10-20 20:29:32 UTC
Ping - this is now blocking glibc-2.25 stabilization.
Comment 9 Ștefan Talpalaru 2018-01-04 18:49:32 UTC
Please test sys-cluster/drbd-utils-9.2.0 from my overlay: https://github.com/stefantalpalaru/gentoo-overlay
Comment 10 Ștefan Talpalaru 2018-02-23 22:38:17 UTC
sys-cluster/drbd-utils-9.2.2 is available in my overlay and it builds just fine with glibc-2.26-r6
Comment 11 Larry the Git Cow gentoo-dev 2018-05-04 18:16:44 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=288250f32327260ed63a4b284bbf36599ae61c6d

commit 288250f32327260ed63a4b284bbf36599ae61c6d
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2018-05-04 18:16:27 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2018-05-04 18:16:39 +0000

    sys-cluster/drbd-utils: Add missing sys/sysmacros.h include, bug 616758
    
    Closes: https://bugs.gentoo.org/616758
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-cluster/drbd-utils/drbd-utils-8.9.6-r1.ebuild  |  3 ++
 .../files/drbd-utils-8.9.6-sysmacros.patch         | 44 ++++++++++++++++++++++
 2 files changed, 47 insertions(+)